Skip to main content
POST
/
general-leads
/
{generalLeadId}
/
pq-lead-status
Update PQ lead status
curl --request POST \
  --url https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId}/pq-lead-status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pqLeadStatus": "<string>",
  "pqLeadStatusReason": "<string>"
}
'
{
  "success": true,
  "data": true,
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.renovationfind.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token issued from the RenovationFind Manager Portal

Path Parameters

generalLeadId
integer<int64>
required

Body

application/json
pqLeadStatus
string
pqLeadStatusReason
string

Response

200 - application/json

PQ status updated

success
boolean
data
boolean
message
string